
QGIS Application - Bug report #16693

QGIS crashes when some layer classification unchecked

2017-06-09 01:49 PM - Romain Blanc

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.9 Regression?: No

Operating System: W7x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 24592

Description

Take minima two layers, give them a classification style. Then uncheck minima one class per layer: QGIS will freeze and make a

minidump (see video attached).

Tested with some GPKG and SHP on QGIS x64 2.18.9-1 and 2.14.15.

History

#1 - 2017-06-09 01:51 PM - Giovanni Manghi

- Subject changed from Minidump when some layer classification unchecked to QGIS crashes when some layer classification unchecked

- Priority changed from Normal to High

#2 - 2017-06-09 01:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

Tried hard here on same qhis version and platform, no issues. please try again after having removed any 4rd party plugin and/or having deleted the .qgis2

folder.

If the issue continue then attach your sample project and data.

#3 - 2017-06-09 02:21 PM - Romain Blanc

Same result without any plugin and after having deleted the .qgis2 folder.

Here is the GPKG with two layers and the symbology: https://www.grosfichiers.com/aTKZh45vj7Ne7?tk=KteKsNFa5VS (8.8MB - too big to be attached

here).

#4 - 2017-06-09 04:22 PM - Giovanni Manghi

Romain Blanc wrote:

Same result without any plugin and after having deleted the .qgis2 folder.

Here is the GPKG with two layers and the symbology: https://www.grosfichiers.com/aTKZh45vj7Ne7?tk=KteKsNFa5VS (8.8MB - too big to be

attached here).
Thanks a lot, cannot replicate anyway.

Could you try on another machine?

#5 - 2017-06-15 08:57 AM - Romain Blanc

I have tried on two others machines. The bug was replicated only on one.

I have completely uninstalled QGIS on the two buggy machines, bug the bug remains. I have to clean the registry, delete the .qgis2 folder and reinstall the

lastest version. All seems to be good now, I cannot replicate the bug.

#6 - 2017-06-15 11:08 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

minidump01.mp4 1.62 MB 2017-06-09 Romain Blanc

minidump02.mp4 2.59 MB 2017-06-09 Romain Blanc
